Package tigase.auth

## Class CallbackHandlerFactory

- java.lang.Object
- - tigase.auth.CallbackHandlerFactory

- All Implemented Interfaces:
    `CallbackHandlerFactoryIfc`

      @Bean(name="callback-handler-factory",
            parent=TigaseSaslProvider.class,
            active=true)
      public class CallbackHandlerFactory
      extends java.lang.Object
      implements CallbackHandlerFactoryIfc

  Factory of CallbackHandlers.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTH_JID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallbackHandlerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.security.auth.callback.CallbackHandler` | `create​(java.lang.String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo)` |
    `protected java.lang.String` | `getHandlerClassname​(java.lang.String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.auth.callbacks.CallbackHandlerFactoryIfc

      `create`

- - ### Field Detail

    - #### AUTH_JID

          public static final java.lang.String AUTH_JID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CallbackHandlerFactory

          public CallbackHandlerFactory()

  - ### Method Detail

    - #### create

          public javax.security.auth.callback.CallbackHandler create​(java.lang.String mechanismName,
                                                                     XMPPResourceConnection session,
                                                                     NonAuthUserRepository repo)
                                                              throws java.lang.ClassNotFoundException,
                                                                     java.lang.InstantiationException,
                                                                     java.lang.IllegalAccessException

      Specified by:
        `create` in interface `CallbackHandlerFactoryIfc`
      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`

    - #### getHandlerClassname

          protected java.lang.String getHandlerClassname​(java.lang.String mechanismName,
                                                         XMPPResourceConnection session,
                                                         NonAuthUserRepository repo)